% WGC LABORATORY, MTP, PARAMS
% GAS PROPERTIES
% GT2252, TURBO properties

process.cp = 1004.6; % ~ Air at 293.15K, from Boosting lab calc. 20C J/kg.K
process.cv = 717.4; % ~ From boosting lab calc
process.cp_w = 419; % ~ ", water cp
process.kappa = process.cp/process.cv; % ratio of specific heats
process.T01 = 293.15; %Kelvin inlet temp at 15C standard cond.
process.rho1 = 1.205; % density of air at inlet

f1 = 'r1';  v1 = {(40.2e-3)/2}; % radii in m
f2 = 'r2';  v2 = {(52.0e-3)/2}; 
f3 = 'A1';  v3 = {((50*10^-3)/2)^2*pi}; %inlet area
f4 = 'A';  v4 = {0};   %duct area (assumed)
f5 = 'beta1b';  v5 = {21.4*(2*pi/360)}; %blade inducer/entry angle, rad
f6 = 'beta2b';  v6 = {54.1*(2*pi/360)}; %blade exit angle, rad
f7 = 'nblades'; v7 = {12};
f8 = 'trim_c'; v8 = ((0.0402^2)/(0.052^2))*100; %inducer-to exducer ratio

gt2252 = struct(f1,v1,f2,v2,f3,v3,f4,v4,f5,v5,f6,v6,f7,v7,f8,v8);