%% Figure print properties
% 
% Set initial conditions for figure plot
%
% By: N.T.
    
%
% Set properties of the figure, for printing
% width = 6.5;     % Width in inches
% height = 7;    % Height in inches
% alw = 0.75;    % AxesLineWidth
% fsz = 12;      % Fontsize
% lw = 1;      % LineWidth
% msz = 8;       % MarkerSize
% set(0,'defaultLineLineWidth',lw);   % set the default line width to lw
% set(0,'defaultLineMarkerSize',msz); % set the default line marker size to msz
% set(0,'defaultLineLineWidth',lw);   % set the default line width to lw
% set(0,'defaultLineMarkerSize',msz); % set the default line marker size to msz
% 
% % Set the default Size for display
% defpos = get(0,'defaultFigurePosition');
% %set(0,'defaultFigurePosition', [defpos(1) defpos(2) width*100, height*100])
% set(0,'defaultFigurePosition', [ 566   120   650   700]);
% %get(0,'MonitorPositions'); p =  [left bottom  width  height];
% 
% % Set the defaults for saving/printing to a file
% set(0,'defaultFigureInvertHardcopy','on'); % This is the default 
% set(0,'defaultFigurePaperUnits','inches'); % This is the default
% defsize = get(gcf, 'PaperSize');
% left = (defsize(1)- width)/2;
% bottom = (defsize(2)- height)/2;
% defsize = [left, bottom, width, height];
% set(0, 'defaultFigurePaperPosition', defsize);

% Initial parameter definitions for plot compressor map.
step = 2; f = 12; a = 50; 
x1 = spdf(1+step:f,1); y1 = spdf(1+step:f,2);
x2 = spdf(f+1+step:f*2,1); y2 = spdf(f+1+step:f*2,2);
x3 = spdf(f*2+1+step:f*3,1); y3 = spdf(f*2+1+step:f*3,2);
x4 = spdf(f*3+1+step:f*4,1); y4 = spdf(f*3+1+step:f*4,2);
x5 = spdf(f*4+1+step:f*5,1); y5 = spdf(f*4+1+step:f*5,2);
x6 = spdf(f*5+1+step:f*6,1); y6 = spdf(f*5+1+step:f*6,2);
x7 = spdf(f*6+1+step:f*7,1); y7 = spdf(f*6+1+step:f*7,2);

Nmat = @(length)[linspace(75,75,length); linspace(95,95,length);...
        linspace(115,115,length);   linspace(135,135,length);...
        linspace(155,155,length);   linspace(175,175,length); ...
        linspace(195,195,length)]';
    
w1 = linspace(x1(1),x1(end),a)';  % mass flow values
w2 = linspace(x2(1),x2(end),a)';
w3 = linspace(x3(1),x3(end),a)';
w4 = linspace(x4(1),x4(end),a)';
w5 = linspace(x5(1),x5(end),a)';
w6 = linspace(x6(1),x6(end),a)';  
w7 = linspace(x7(1),x7(end),a)';
wz = [w1 w2 w3 w4 w5 w6 w7];
ndt = Nmat(length(w1))*10^3; %  create equal sized rpm vector 10^5

% bolks of 30 data points, 08,    09,   10,     11,    12,     13, 
%                         1-30, 31-60, 61-90, 91-120, 121-150, 151,180
%                          14,       15
%                         181-210,  211,240
x8 = map815(1:nm,1); y8 = map815(1:nm,2); % Small fraction of surge line
x9 = map815(nm+1:nm*2,1); y9 = map815(nm+1:nm*2, 2); % choke line
x10 = map815(nm*2+1:nm*3,1); y10 = map815(nm*2+1:nm*3,2); % Surge, long
